Subject: bug#49721: NAME flag incorrectly set

From: Paul Eggert <[email-masked]>
Date: Sat, 24 Jul 2021 12:32:23 -0700

On 7/24/21 3:14 AM, Lee Shallis wrote:
> when I put this:
> 
> echo "hello hello hello hello" | gzip
> 
> into the terminal gzip incorrectly set the NAME flag

I suppose you're talking about the FNAME flag described by RFC 1952? I 
don't observe any problem with gzip 1.10:

$ echo "hello hello hello hello" | gzip | od -t x1
0000000 1f 8b 08 00 00 00 00 00 00 03 cb 48 cd c9 c9 57
0000020 c8 40 27 b9 00 00 88 59 0b 18 00 00 00
0000035

The FLG byte is 00, which means FNAME is not set.